Skip to main content

## rmnew

The rmnew command allows you to remove newline characters from within CSV fields. Although CSV can cope with such embedded newlines, some applications cannot. A typical use of rmnew is if you have a file that looks like this

"Joe Public", "101 Somwhere St

Anytown

USA"

and you want:

"Joe Public", "101 Somwhere St, Anytown, USA"

The rmnew command to do this conversion is:

csvfix rmnew -s ',' addresses.csv

Flag | Req'd? | Description
-s sep | No | Specifies separator which will replace newlines in input. By default, this is a single space character.
-x | No | Remove all data from a field following the first newline character.
-f fields | No | List of fields to apply the command to. Default is all fields.

Created with the Personal Edition of HelpNDoc: Create help files for the Qt Help Framework

####